## dods.dap
Class DList

    java.lang.Object
      dods.dap.BaseType
          dods.dap.DVector
              dods.dap.DList

All Implemented Interfaces:
  ClientIO, Cloneable

Direct Known Subclasses:
  SDList

public class DList
extends DVector

This class implements a simple list of DODS data types. A list is a simple sequence of data items, without the sophisticated subsetting and array indexing features of an Array.

DODS does not support Lists of Lists. This restriction is enforced by the DDS parser.

See Also:
  `BaseType`, `DVector`

Constructor Summary
`DList()` Constructs a new `DList`.
`DList(String n)` Constructs a new `DList` with the given name.

Method Summary
`String` `getTypeName()` Returns the DODS type name of the class instance as a `String`.

Methods inherited from class dods.dap.DVector
`addVariable, clone, deserialize, externalize, getLength, getPrimitiveVector, printDecl, printVal, setLength`

Methods inherited from class dods.dap.BaseType
`checkSemantics, checkSemantics, elementCount, elementCount, getLongName, getName, getParent, newPrimitiveVector, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printDecl, printVal, printVal, printVal, setName, setParent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DList

    public DList()

  Constructs a new `DList`.

### DList

    public DList(String n)

  Constructs a new `DList` with the given name.

Parameters:
  `n` - the name of the variable.

Method Detail

### getTypeName

    public String getTypeName()

  Returns the DODS type name of the class instance as a `String`.

  Overrides:
    `getTypeName` in class `DVector`
  Returns:
    the DODS type name of the class instance as a `String`.